package io.data2viz.charts.event

/**
 * User event types
 */
public enum class EventType {

    /**
     * A mouse movement with no button pressed
     */
    Move,

    /**
     * A fast press and release of the LEFT mouse button
     */
    Click,

    /**
     * A mouse movement with the LEFT button pressed
     */
    Drag,

    /**
     * Releasing the button after a drag
     */
    DragEnd,

    /**
     * A fast twice press and release of the LEFT mouse button
     */
    DoubleClick,

    /**
     * A middle wheel scroll
     */
    Wheel
}
