package io.data2viz.charts.event

import io.data2viz.charts.chart.mark.RelativePoint
import io.data2viz.math.Percent
import io.data2viz.math.pct

/**
 * A zoom action from chart-relative coordinates with a relative factor, defaults to 100% / 100% (no zoom).
 *
 * >100% = zoom-in
 * <100% = zoom-out.
 */
public data class ZoomAction(
    val zoomOrigin: RelativePoint,
    val zoomX: Percent = 100.pct,
    val zoomY: Percent = 100.pct
) {
    public fun constraintOnX(): ZoomAction = ZoomAction(zoomOrigin, 100.pct, zoomY)
    public fun constraintOnY(): ZoomAction = ZoomAction(zoomOrigin, zoomX, 100.pct)
}
